maildir-utils (1.14.2-1) unstable; urgency=medium

  * New upstream version 1.14.2
    - mu
      + significant speed-ups in the cleanup process after `mu index`
    - mu4e
      + `mu4e-main-hide-personal-addresses` can now also be a number, which is
        the maximum number of addresses to show.
      + `mu4e-compose-reply-include-mime-types` specifies the mime-types for
        message attachments that should be included in replies, with the default
        set to "text/x-patch" -- i.e., patches are included in replies.
      + `mu4e-compose-post-hook` only runs once per message (buffer)
      + One can get icons for MIME-types in the message-view and when using
        `mu4e-view-mime-part-action`, by configuring
        `mu4e-file-name-to-icon-function` (see docstring).
      + The message-view display has been stream-lined in number of ways,
        removing some of the Gnus-elements.
      + `mu4e-compose-crypto-policy` now also recognizes `sign-signed-replies`,
        to automatically sign when replying to signed messages.
      + For Org-integration, there is a new command `mu4e-org-agenda-links` to
        pop up a buffer with a tabulated list of the mu4e links in one's
        `org-agenda-files`.
      + When replying to message with a region marked, only the marked region is
        cited.
    - scm
      + added new ~--eval~ command-line option.
  * d/patches
    - refresh patches
  * d/control
    - bump Standards-Version to 4.7.4
  * d/maildir-utils.install
    - remove osbolete Guile bindings
  * d/NEWS
    - add entry explaining that the old Guile bindings are no longer installed.

 -- Jeremy Sowden <azazel@debian.org>  Tue, 23 Jun 2026 11:17:05 +0100

maildir-utils (1.12.15-1) unstable; urgency=medium

  * New upstream version 1.12.15
    - mu4e
      + in `mu4e-view-save-attachments`, by default save all.
  * d/rules
    - define and export `ELPA_NAME` at the same time
  * d/changelog
    - correct upstream version in 1.12.14 entry
  * d/patches
    - refresh patches

 -- Jeremy Sowden <azazel@debian.org>  Sat, 07 Mar 2026 15:32:24 +0000

maildir-utils (1.12.14-1) unstable; urgency=medium

  * New upstream version 1.12.14
    - mu4e
      + add `mu4e-quit-hook`, a hook is just before quitting mu4e. See its
        docstring for details.
      + add `mu4e-dbus-mode`, an experimental minor mode which, if enabled on an
        Emacs with DBus-support, exposes some of Mu4e's state (such as the
        read/unread counts of bookmarked queries) on the DBus session bus.  See
        the mu4e manual for further details.
    - scm
      + some methods that returned lists would return `#f` when there were no
        results (e.g., `to`, `from`, `cc`, `bcc`, `references`, `labels`);
        however, it's nicer to return an empty list instead, which is what is
        now done.
      + new convenience methods `root-maildir` and `personal-addresses` for
        store objects. See the reference manual for details.
  * d/control
    - bump Standards-Version to 4.7.3
  * d/patches
    -  refresh patches
  * d/p/man-page-fixes.patch
    - add patch to fix errors in mu-labels.1 and mu-scm.1

 -- Jeremy Sowden <azazel@debian.org>  Thu, 01 Jan 2026 16:53:22 +0000

maildir-utils (1.12.13-1) unstable; urgency=medium

  * New upstream version 1.12.13
    - mu
      + new (sub)command "labels", for associating searchable labels with
        messages. Labels are similar to tags, but better integrated with mu
        (and mu4e). See mu-labels.1 man-page for details.
    - scm
      + you can set `mu4e-mu-scm-server` to non-nil and connect to the SCM REPL
        with `M-x mu4e-mu-scm-repl` after restart (see their docstrings for
        details)
      + add the `--listen` flag for `mu scm` and `mu server`, to start a REPL on
        a Unix domain socket. See the reference manual for details.
      + `mu scm` also gained support for labels and logging; furthermore,
        `mfind` was made much faster.
  * d/control
    - add build-dep's on libfmt-dev and libcli11-dev
  * d/copyright
    - remove a deleted file and update a couple of moved ones
  * d/patches
    - refresh existing patches
    - add patch to build test executables verbosely
  * d/watch
    - update to version 5

 -- Jeremy Sowden <azazel@debian.org>  Fri, 17 Oct 2025 08:25:57 +0100

maildir-utils (1.12.12-2) unstable; urgency=medium

  * d/changelog: fix a couple of mistakes in the entry for 1.12.12-1
  * d/rules: increase meson unit-test time-out.
    Thanks to Adrian Bunk (Closes: #1111826)

 -- Jeremy Sowden <azazel@debian.org>  Sat, 23 Aug 2025 12:49:00 +0100

maildir-utils (1.12.12-1) unstable; urgency=medium

  * New upstream version 1.12.12
    - mu
      + the `--my-address` parameter to `--mu-init` has been renamed into
        `--personal-address`, for consistency with the other places where we
        refer to it as a personal address. `--my-address` is still supported as
        an alias, for backward compatibility.
    - mu4e
      + add a `defcustom` `mu4e-compose-jump-to-a-reasonable-place` for
        customizing whether mu4e jumps to some "reasonable place" when opening
        the message composition buffer. Default is `t`, as the current behavior.
      + `mu4e-maildir-shortcuts` and `mu4e-bookmarks` now understand a property
        `:hide-if-no-unread`, which hides the maildir/bookmark from the
        main-view if there are no unread messages which the corresponding query.
      + it is now possible to create Emacs bookmarks for both messages (default)
        and queries. See the new variable `mu4e-emacs-bookmark-policy`.
      + `mu4e-get-mail-command`, which specifies the shell command to use for
        getting mail, can now also be a function return that shell-command. This
        makes it easier to use different shell commands in different situations.
  * d/patches
    - refresh patches
  * d/rules
    - link against libatomic on m68k, powerpc, sh4 (Closes: #1108203)

 -- Jeremy Sowden <azazel@debian.org>  Wed, 13 Aug 2025 14:00:50 +0100

maildir-utils (1.12.9-1) unstable; urgency=medium

  * New upstream version 1.12.9
    - mu
      + the cleanup phase after indexing is significantly faster now
    - mu4e
      + new command `mu4e-analyze-last-query` which shows information about
        how the server interpreted the last query.
      + When you ask for bookmarks or maildirs through `mu4e-search-bookmark`
        or `mu4e-search-maildir`, unread counts are displayed in the (default)
        completions UI next to the maildir or bookmark.
      + A (experimental) "transient" menu has been added.
      + Various Gnus' mailing list commands are now available in the mu4e
        message view as well.
      + The mu server uses PCRE-compatible regexps (for addresses), which are
        not necessarily compatible with Emacs regular expressions. However,
        mu4e can now automatically translate; this depends on the `pcre2el`
        package which the user should install when using regular
        expression-addresses.
  * d/patches
    - refresh patches
    - add patch to fix single-quoted strings in man-page
    - add patch to escape back-slashes in man-page
  * d/control
    - bump Standards-Version to 4.7.2

 -- Jeremy Sowden <azazel@debian.org>  Mon, 10 Mar 2025 22:07:50 +0000

maildir-utils (1.12.8-1) unstable; urgency=medium

  * New upstream version 1.12.8
  * d/patches: refresh patches
  * d/gitlab-ci.yml: rename to salsa-ci.yml

 -- Jeremy Sowden <azazel@debian.org>  Sun, 29 Dec 2024 11:55:27 +0000

maildir-utils (1.12.7-1) unstable; urgency=medium

  * New upstream version 1.12.7
  * d/patches: refresh patches

 -- Jeremy Sowden <azazel@debian.org>  Sat, 02 Nov 2024 11:58:23 +0000

maildir-utils (1.12.6-1) unstable; urgency=medium

  * New upstream version 1.12.6

 -- Jeremy Sowden <azazel@debian.org>  Sat, 10 Aug 2024 14:03:33 +0100

maildir-utils (1.12.5-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 22:42:11 +0900

maildir-utils (1.12.5-1) unstable; urgency=medium

  * New upstream version 1.12.5
    - Rework message composition; split off parts into mu4e-draft.el. This
      tries harder to maintain the current buffer as expected
    - This fixes e.g. emacs-report-bug handling
    - New hook mu4e-compose-post-hook for tweaking what mu4e does when
      we're done with a message (after sending, cancelling, ...).
      By default, it tries to close the frame if needed, and restore
      the window configuration. See its docstring.
    - Better handle forwarding of encoded messages
    - Don't remove non-mu4e completion in composer
    - Integrate iCalendar support with message-composition
    - Handle mu4e-sent-messages-behavior correctly when it's a function
    - Better support NetBSD
    - Support some file systems that don't put the file type in d_type
    - Improve documentation
  * d/patches
    - remove upstreamed patch
    - add patch to fix RISC-V test failure (Closes: #1071192)

 -- Jeremy Sowden <azazel@debian.org>  Mon, 03 Jun 2024 22:05:55 +0100

maildir-utils (1.12.4-1) unstable; urgency=medium

  * New upstream version 1.12.4 (closes: #1069104)
    - query when quitting emacs with unhandled marks in a headers buffer
    - fix mime-handling
    - update sent handling (simplifying it)
    - re-enable a specific database lock; this makes indexing a bit slower,
      but hopefully avoids some db corruption.
  * d/patches
    - refresh patches
  * d/p/handle-dt_unknown-dentries.patch
    - add patch to fix reprotest failures
  * d/p/mu4e-dont-bytecompile
    - fix autoload generation

 -- Jeremy Sowden <azazel@debian.org>  Fri, 03 May 2024 13:04:09 +0100

maildir-utils (1.12.3-3) unstable; urgency=medium

  [ Jeremy Sowden ]
  * d/rules
    - enable 64-bit time_t on i386
    - use upstream mu4e-pkg.el
  * d/patches
    - add patch to fix possible overflow on architectures which do
      not support 64-bit time_t
  * d/maildir-utils.docs, d/p/adjust-mu-docdir
    - move doc's installed in /usr/share/doc/mu
  * d/TODO
    - the entries in it are obsolete, so remove it

  [ Xiyue Deng ]
  * Fix mu4e.elpa path to include all *.el files (Closes: #1068869)

 -- Jeremy Sowden <azazel@debian.org>  Sat, 13 Apr 2024 18:57:16 +0100

maildir-utils (1.12.3-2) unstable; urgency=medium

  * d/control
    - remove build-dep on libcld2-dev

 -- Jeremy Sowden <azazel@debian.org>  Thu, 11 Apr 2024 14:08:52 +0100

maildir-utils (1.12.3-1) unstable; urgency=medium

  [ Xiyue Deng ]
  * Add locales-all to Build-Depends which is required by tests

  [ Jeremy Sowden ]
  * New upstream version 1.12.3 (Closes: #1067809)
    - Significant speedups in both mu and mu4e
    - Reworked message composition, closer to its Gnus origins which adds
      many of its features
    - Overhauled the query parser; squashing a number of bugs/limitations,
      incl. dealing with CJK messages
    - Experimental folding of message threads
    - Better and faster indexing of HTML messages
    - Experimental search by (human) language with CLD2
  * d/control
    - update my e-mail address
    - add build-dep on libcld2-0-dev to enable language-search support
    - bump Standards-Version to 4.7.0
  * d/copyright
    - update copyright notice for Dirk-Jan C. Binnema
    - add missing copyright statements and licences
  * d/NEWS
    - add entry for 1.12.3-1 advising that the database needs to be
      reinitialized because of schema updates
  * d/patches
    - delete upstreamed patches
    - refresh patches
  * d/rules
    - fix tabulation in all man-pages containing tables
    - link against libatomic on armel (Closes: #1068030)

 -- Jeremy Sowden <azazel@debian.org>  Wed, 10 Apr 2024 20:18:09 +0100

maildir-utils (1.10.8-2) unstable; urgency=medium

  * d/patches
    - add patches to fix unreproducible dates in documentation
      (Closes: #1056572)

 -- Jeremy Sowden <jeremy@azazel.net>  Wed, 22 Nov 2023 21:02:32 +0000

maildir-utils (1.10.8-1) unstable; urgency=medium

  * New upstream version 1.10.8
  * d/changelog
    - remove entry for non-existent 1.8.14-4 release
  * d/gitlab-ci.yml
    - enable CI pipeline
  * d/gbp.conf
    - dch: add `commit-msg`
  * d/patches
    - refresh patches

 -- Jeremy Sowden <jeremy@azazel.net>  Thu, 16 Nov 2023 20:24:41 +0000

maildir-utils (1.10.7-1) unstable; urgency=medium

  * New upstream version 1.10.7
  * d/.gitignore
    - ignore packaging artefacts
    - ignore Emacs artefacts
  * d/clean
    - remove entries not relevant to 1.10
  * d/control
    - add myself to uploaders
    - add build-dep on meson
    - add build-dep on libglib2.0-dev
    - trim unneeded build-deps
    - wrap-and-sort
  * d/elpa-test
    - disable dh-elpa-test to run upstream test-suite
  * d/maildir-utils.docs
    - remove obsolete TODO file
  * d/maildir-utils.examples
    - install Guile examples
  * d/maildir-utils.install
    - update the path of the Guile extension
  * d/mu4e.elpa
    - copy .el files from meson build directory
  * d/NEWS
    - fix formatting
    - add entry advising that the database needs to be reinitialized
      because of a schema update
  * d/not-installed
    - remove obsolete Guile .la file
  * d/patches
    - remove obsolete patches
    - refresh mu4e patches
    - refresh man-page patch
    - add patch to use max. compression for info files
    - add new man-page patch with upstreamed corrections
    - add DEP-3 metadata to all patches
    - add patch to fix a couple of typo's
    - add upstream patch to remove references to mu4e build directory
  * d/rules
    - update to use meson build-system
    - write mu4e-pkg.el to meson build directory
    - patch mu-cfind.1 to ensure that groff runs tbl
    - make build verbose unless the `terse` build option is used

 -- Jeremy Sowden <jeremy@azazel.net>  Wed, 08 Nov 2023 21:51:57 +0000

maildir-utils (1.8.14-3) unstable; urgency=medium

  * Team upload
  * Bug fix: "public shared library shipped in maildir-utils binary
    package", thanks to Jeremy Sowden (Closes: #1041271).

 -- David Bremner <bremner@debian.org>  Wed, 19 Jul 2023 08:11:03 -0300

maildir-utils (1.8.14-2) unstable; urgency=medium

  * Team upload
  * Bug fix: "ftbfs with GCC-13", thanks to Matthias Klose (Closes:
    #1037765). Thanks to Jeremy Sowden for the fix.
  * Install missing info files (also thanks to Jeremy Sowden)

 -- David Bremner <bremner@debian.org>  Sun, 16 Jul 2023 13:32:26 -0300

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog maildir-utils`.
